html {
  scroll-behavior: smooth;
}

body {
 hyphens: auto;
}

.mahle-form-has-errors {
    background-color: #f2dede;
    border: 1px solid #a64242;
    color: #a64242;
    text-align: center;
    text-transform: uppercase;
    display: none;
    margin-top: 24px;
    padding: 24px;
}

.mahle-form-has-errors .fa {
        margin-right: 10px;
}

.is-invalid {
    border-color: #dc3545 !important;
    box-shadow: 0 0 3px #dc3545 !important;
}

#res_u, #res_mt, #res_mn, #res_beta, #res_alpha_wt, #res_alpha_t, #res_alpha_n, #res_eps_alpha, #res_eps_beta, #res_a,
#res_z_1, #res_z_2, #res_b_1, #res_b_2, #res_dw_1, #res_dw_2, #res_d_1, #res_d_2, #res_da_1, #res_da_2, #res_dNa_1, #res_dNa_2,
#res_dNf_1, #res_dNf_2, #res_dFf_1, #res_dFf_2, #res_df_1, #res_df_2, #res_db_1, #res_db_2, #res_x_1, #res_x_2 {
    text-align: center;
}

.form-control-inactive {
    -webkit-user-select: none; /* Safari */
    user-select: none; /* Standard syntax */

    margin: 0 0 0px;
    display: block;
    width: 100%;
    height: 34px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857143;
    color: #999999;
    background-color: #F7F7F7;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    -webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s
}


/* w3schools loader*/
.MZG_loader {
    /*position: absolute;
    left: 50%;
    top: 50%;*/
    display: table-cell;
    z-index: 1;
    width: 50px;
    height: 50px;
    margin: -76px 0 0 -76px;
    border: 8px solid #f3f3f3;
    border-radius: 50%;
    border-top: 8px solid #41B6E6;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
}

@-webkit-keyframes spin {
    0% {-webkit-transform: rotate(0deg);}

    100% {-webkit-transform: rotate(360deg);}
}

@keyframes spin {
    0% {transform: rotate(0deg);}

    100% {transform: rotate(360deg);}
}


/* check tick */
.MZG_check {
    width: 56px;
    height: 36px;
    display: block;
    background-image: linear-gradient(#41B6E6 50px, transparent 0), linear-gradient(#41B6E6 50px, transparent 0);
    background-size: 56px 12px, 12px 28px;
    background-position: 0px 24px, 0px 0px;
    background-repeat: no-repeat;
    position: relative;
    transform: rotate(-45deg);
    box-sizing: border-box;
}


/* error tick */
.MZG_error {
    width: 56px;
    height: 56px;
    display: block;
    background-image: linear-gradient(#e64441 50px, transparent 0), linear-gradient(#e64441 50px, transparent 0);
     background-size: 50px 12px, 12px 56px;
     background-position: 0px 25px, 20px 5px;
     background-repeat: no-repeat;
     position: relative;
     transform: rotate(45deg);
    box-sizing: border-box;
}

/* Download Icon for btn Button*/
#downloadButton:not(.btn-cta):after {
    display: inline-block;
    vertical-align: middle;
    content: '';
    background: url(/media/transmissions/mzg-gearsapp/icon_download_white.svg) no-repeat;
    background-size: contain;
    background-position-x: center;
    height: 28px;
    margin: 0;
    width: 28px;
    float: right
}

/* MZG customized containers*/
.anchor-regular a {
  display: inline;
  color: blue;
  background-color: transparent;
  text-decoration: underline;
}